%define	emacsver	21.3
%define xemacsver	21.4
%define muleucsver	0.84-18m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: Internet/Intranet Input Method Emacs Client Framework
Name: elisp-IIIMECF
Version: 0.6
Release: 2m
License: GPL
Group: Applications/Editors
Source: ftp://ftp.m17n.org/pub/mule/IIIM/IIIMECF-%{version}.tar.gz
Nosource: 0
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo
BuildPreReq: Mule-UCS-emacs >= %{muleucsver}, Mule-UCS-xemacs >= %{muleucsver}
Requires: emacsen
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
  IIIMECF conforms IIIM Protocol Specification defined by Sun Microsystems,
and consists of a library to create IIIM awarded applications and a simple
input method library controlled by IIIM server(s).
(This input-method is denoted by "iiimfcf-sc" hereafter.)

  install IIIMECF-emacs if you want to use such protocol on emacs.

  Especially,iiim-sc can work with ATOK/X for linux.

%package -n IIIMECF-emacs
Group: Applications/Editors
Summary:  Internet/Intranet Input Method Emacs Client Framework for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}, Mule-UCS-emacs >= %{muleucsver}

%description -n IIIMECF-emacs
  IIIMECF conforms IIIM Protocol Specification defined by Sun Microsystems,
and consists of a library to create IIIM awarded applications and a simple
input method library controlled by IIIM server(s).
(This input-method is denoted by "iiimfcf-sc" hereafter.)

  install IIIMECF-emacs if you want to use such protocol on emacs.

  Especially,iiim-sc can work with ATOK/X for linux.

%package -n IIIMECF-xemacs
Group: Applications/Editors
Summary: Internet/Intranet Input Method Emacs Client Framework for Emacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, Mule-UCS-xemacs >= %{muleucsver}

%description -n IIIMECF-xemacs
  IIIMECF conforms IIIM Protocol Specification defined by Sun Microsystems,
and consists of a library to create IIIM awarded applications and a simple
input method library controlled by IIIM server(s).
(This input-method is denoted by "iiimfcf-sc" hereafter.)

  install IIIMECF-emacs if you want to use such protocol on emacs.

  Especially,iiim-sc can work with ATOK/X for linux.

%prep
%setup -q -n IIIMECF-%{version}
rm -rf %{buildroot}

%build
mkdir -p %{buildroot}%{e_sitedir}/IIIMECF
mkdir -p %{buildroot}%{xe_sitedir}/IIIMECF

emacs -q --no-site-file -batch -l iiimcf-comp.el
install -m 644 lisp/*.el* %{buildroot}%{e_sitedir}/IIIMECF/
rm -f lisp/*.elc

xemacs --vanilla -batch -l iiimcf-comp.el
install -m 644 lisp/*.el* %{buildroot}%{xe_sitedir}/IIIMECF/

%install
rm -f lisp/*.el*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README README.ja lisp

%files -n IIIMECF-emacs
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/IIIMECF

%files -n IIIMECF-xemacs
%defattr(-,root,root)
%{_libdir}/xemacs/site-lisp/IIIMECF

%changelog
* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.6-2m)
- rebuild against emacs-21.3
- define muleucsver

* Wed Jul 17 2002 smbd <smbd@momonga-linux.org>
- (0.6-1m)
- up to 0.6

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.5-6k)
- rebuild against emacs-21.2

* Fri Nov 02 2001 Toshiro HIKITA <toshi@sodan.org>
- (0.5-4k)
- add iiimecf-cvs.patch from im-sdk

* Thu Nov 01 2001 Toshiro HIKITA <toshi@sodan.org>
- (0.5-2k)
- update to 0.5

* Wed Oct 31 2001 Toshiro HIKITA <toshi@sodan.org>
- (0.4-8k)
- add iiimecf-cvs.patch from im-sdk

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (elisp-IIIMECF-0.4-6k)
- modified %BuildPrereq (added xemacs-sumo)

* Wed Oct 24 2001 Hidetomo Machi <mcHT@kondara.org>
- (elisp-IIIMECF-0.4-4k)

* Sun Oct 14 2001 Masaru Sato <masachan@kondara.org>
- Modify BuildRoot

* Tue Jul 17 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.84-2k)
- import to 2.0

* Fri Jul 13 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.4-3k)
- version 0.4
- not use %preun and %triggerin

* Mon Dec 18 2000 KIM Hyeong Cheol <kim@kondara.org>
- (0.3-4k)
- deleted serial

* Sun Nov 12 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.3-1k)
- Update to Ver. 0.2
- adopt to stable release

* Fri Nov 10 2000 KIM Hyeong Cheol <kim@kondara.org>
- (0.3pre.4-1k)
- removed patches(minor-mode.patch, terminal.patch)

* Tue Nov 07 2000 KIM Hyeong Cheol <kim@kondara.org>
- (0.3pre.3-5k)
- apply terminal.patch
- add %Serial, %triggerin
- removed BuildPreReq

* Sun Nov 05 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.3pre.3-3k)
- apply minor-mode.patch

* Sat Nov 04 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.3pre.3-1k)
- Update New IIIMECF-current

* Sat Oct 21 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.3pre.2-1k)
- Update New IIIMECF-current

* Fri Oct 20 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.3pre-1k)
- Update to IIIMECF-current

* Mon Sep 18 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.2-1k)
- Update to Ver. 0.2

* Wed Sep 13 2000 Toshiro HIKITA <toshi@sodan.org>
- (0.1-3k)
- Add iiimcf-sc.el ad-hoc.patch

* Sun Sep 10 2000 KIM Hyeong Cheol <hkimu-tky@umin.ac.jp>
- (0.1-1k)
- First Release
